#!/bin/sh

NEBULA_IP=$(ip -f inet addr show nebula1 | awk '/inet / {print $2}' | cut -f1 -d'/')
SEAWEEDFS_MASTERS=10.10.100.1:9333 # Need an odd number #,10.10.100.21:9333

if test "${LIGHTHOUSE}" == "true"; then
    weed master -ip="${NEBULA_IP}" -port=9333 -mdir=/storage -peers=${SEAWEEDFS_MASTERS}
else
    weed volume -dir=/storage -port=8080 -mserver=${SEAWEEDFS_MASTERS}
fi
